<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="ILGPU" Version="1.5.2" />
      <PackageReference Include="SixLabors.ImageSharp" Version="3.1.7" />
      <PackageReference Include="System.Numerics.Vectors" Version="4.6.1" />
    </ItemGroup>

    <ItemGroup>
      <None Update="1.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="2.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="TestPattern.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </None>
      <None Update="images\01.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\02.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\03.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\04.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\05.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\06.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\07.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="images\08.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherecut.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherefull.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherehalf.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherehalf32.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherefull32.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="spherecut32.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="sphereempty.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
    </ItemGroup>

</Project>
